Subject: Re: [PATCH] xtables: make XT_ALIGN() usable in exported headers

From: Patrick McHardy <[email-masked]>
Date: Thu, 01 Apr 2010 14:06:40 +0200

Alexey Dobriyan wrote:
> On Thu, Apr 1, 2010 at 1:50 PM, Patrick McHardy <[email-masked]> wrote:
>> I can't think of anything but to restore the XT_ALIGN macro.
>> We could add a XT_ALIGN definition to xtables.h, but that might
>> still leave problems for other users.
>>
>> Alexey, do you have any better suggestions?
> 
> I like __KERNEL_ALIGN trick.
> 
> Sorry for attachment, my patch sending facility is broke.
> Tested on iptables compilation.
> 

Seems fine to me, thanks. I'll wait a bit for others to comment.